Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transport
Interface MessageRequesting

All Known Subinterfaces:
  InboundEndpoint, MessageRequester

All Known Implementing Classes:
  AbstractMessageRequester, AtomInboundEndpoint, AxisMessageRequester, CallRequestEndpoint, DefaultInboundEndpoint, DynamicRequestEndpoint, DynamicRequestEndpoint.NullInboundEndpoint, DynamicURIInboundEndpoint, FileMessageRequester, FtpMessageRequester, HttpClientMessageRequester, JdbcMessageRequester, JmsMessageRequester, RetrieveMessageRequester, RssInboundEndpoint, TcpMessageRequester, UdpMessageRequester, UnsupportedMessageRequester, VMMessageRequester, XmppMessageRequester

    public interface MessageRequesting

Defines generic methods for receiving events. The exact behaviour of the action is defined by the implementing class.

See Also:
  `ImmutableEndpoint`, `MessageRequester`

Field Summary
`static long` | `REQUEST_NO_WAIT`
`static long` | `REQUEST_WAIT_INDEFINITELY`

Method Summary
`MuleMessage` | `request(long timeout)` Make a specific request to the underlying transport

Field Detail

### REQUEST_WAIT_INDEFINITELY

    static final long REQUEST_WAIT_INDEFINITELY

See Also:
  Constant Field Values

### REQUEST_NO_WAIT

    static final long REQUEST_NO_WAIT

See Also:
  Constant Field Values

Method Detail

### request

    MuleMessage request(long timeout)
                        throws Exception

  Make a specific request to the underlying transport

  Parameters:
    `timeout` - the maximum time the operation should block before returning. The call should return immediately if there is data available. If no data becomes available before the timeout elapses, null will be returned
  Returns:
    the result of the request wrapped in a MuleMessage object. Null will be returned if no data was avaialable
  Throws:
    `Exception` - if the call to the underlying protocal causes an exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.